Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.bibledesktop.passage
Class PassageListCellRenderer

    java.lang.Object
      org.crosswire.bibledesktop.passage.PassageListCellRenderer

All Implemented Interfaces:
  Serializable, ListCellRenderer

    public class PassageListCellRenderer

extends Object
implements ListCellRenderer, Serializable

Renders a Passage in a JList.

Distribution Licence: JSword is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License, version 2 as published by the Free Software Foundation. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. The License is available on the internet here, or by writing to: Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA The copyright to this program is held by it's authors.

Version:
  $Id: PassageListCellRenderer.java,v 1.8 2005/01/24 23:25:18 dmsmith Exp $
Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `Licence`, Serialized Form

Field Summary
`private Book` | `bible` The Bible in which to look up verses
`private Border` | `border` The border if the label is selected
`private Map` | `hash` A cache of Bible texts
`private JLabel` | `label` The label to display if the item is not selected
`private static long` | `serialVersionUID` Serialization ID

Constructor Summary
`PassageListCellRenderer(Book bible)` Constructs a default renderer object for an item in a list.

Method Summary
`Component` | `getListCellRendererComponent(JList list, Object value, int index, boolean selected, boolean focus)` Customize something to display the Passage component

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bible

    private Book bible

  The Bible in which to look up verses

### label

    private JLabel label

  The label to display if the item is not selected

### border

    private Border border

  The border if the label is selected

### hash

    private Map hash

  A cache of Bible texts

### serialVersionUID

    private static final long serialVersionUID

  Serialization ID

  See Also:
    Constant Field Values

Constructor Detail

### PassageListCellRenderer

    public PassageListCellRenderer(Book bible)

  Constructs a default renderer object for an item in a list.

Method Detail

### getListCellRendererComponent

    public Component getListCellRendererComponent(JList list,
                                                  Object value,
                                                  int index,
                                                  boolean selected,
                                                  boolean focus)

  Customize something to display the Passage component

  Specified by:
    `getListCellRendererComponent` in interface `ListCellRenderer`
  Returns:
    The customized component

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD